Actualizar espeak en Debian Wheezy

Este es otro aporte de Leandro Benítez y lo comparto con ustedes.

 

Para actualizar Espeak, haremos lo siguiente:

1. Descargamos espeak de su página oficial:

http://espeak.sf.net/download.html

para esta guía es “espeak-1.48.02-source.zip”

2. Descomprimimos el archivo descargado.

3. Buscamos dentro de la carpeta descomprimida la carpeta “src” y eliminamos el archivo “portaudio.h”

4. Le cambiamos el nombre al archivo “portaudio19.h” por “portaudio.h”, desde la misma carpeta anteriormente abierta.

5. Abrimos un terminal/consola y entramos como superusuario (root).

6. Escribimos en el terminal/consola, lo siguiente:

find /usr | grep libespeak

esto nos informa donde se encuentra la librería compartida libespeak.so, en mi caso estaba en: /usr/lib/i386-linux-gnu/, como esta ruta es diferente a /usr/lib/ entonces debemos cambiar el makefile, que se encuentra en la carpeta antes abierta.

6. El makefile debe quedar de la siguiente forma:

————————–

DATADIR=/usr/lib/i386-linux-gnu/espeak-data

 

PREFIX=/usr

BINDIR=$(PREFIX)/bin

INCDIR=$(PREFIX)/include/espeak

LIBDIR=$(PREFIX)/lib/i386-linux-gnu

las lineas 3 y 8, son las únicas que se deben modificar en el makefile, luego que hayas hecho los cambios, guardas el archivo.

7. Ya que hemos realizado los cambios necesarios, en la terminal/consola instalamos los siguientes paquetes:

# aptitude install libpulse-dev portaudio19-dev build-essential

8. Cuando se termine de instalar los paquetes, vamos a la carpeta “src” que se encuentra en la carpeta que descomprimimos, escribiendo en el terminal/consola:

# cd Descargas/espeak-1.48.01-source/src/ y presionamos enter.

9. Al estar dentro de esa carpeta, haremos:

# make

y luego:

# makeinstall

10. Si nos comienza a verbalizar todo extraño, felicidades!, haz actualizado Espeak.

11. reinicia el sistema y disfruta de tu actualización!

Saludos a todos!!!!

Anuncios

2 pensamientos en “Actualizar espeak en Debian Wheezy

    • Hola, debes hacer lo siguiente:
      1. Abres un terminal/consola y te logueas como root (superusuario).
      2. Instalas el siguiente paquete, escribiendo en la consola/terminal:
      # aptitude install qt-at-spi
      4. ahora, escribimos lo siguiente para activar la accesibilidad:
      # export QT_ACCESIBILITY=1
      5. Listo, QT ya es parcialmente accesible.

      Espero te ayude, gracias por escribir, saludos.

      Ya con esto podremos conversar, enviar archivos, configurar algunas opciones, entre otras cosas, todo esto desde la ventana

Responder

Introduce tus datos o haz clic en un icono para iniciar sesión:

Logo de WordPress.com

Estás comentando usando tu cuenta de WordPress.com. Cerrar sesión / Cambiar )

Imagen de Twitter

Estás comentando usando tu cuenta de Twitter. Cerrar sesión / Cambiar )

Foto de Facebook

Estás comentando usando tu cuenta de Facebook. Cerrar sesión / Cambiar )

Google+ photo

Estás comentando usando tu cuenta de Google+. Cerrar sesión / Cambiar )

Conectando a %s